/*
 * gnuplot.h - Gnuplot file input/output
 *
 * Written 2010 by Werner Almesberger
 * Copyright 2010 Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef GNUPLOT_H
#define	GNUPLOT_H

#include "path.h"


struct path *gnuplot_read(const char *name, double r_tool_default);
void gnuplot_write(const char *name, const struct path *paths);
void gnuplot_append(const char *name, const struct path *paths);

#endif /* !GNUPLOT_H */
