/*
 * shape.h - Toolpaths for basic shapes
 *
 * Written 2010-2011 by Werner Almesberger
 * Copyright 2010-2011 Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */


#ifndef SHAPE_H
#define SHAPE_H

#include "path.h"


struct path *slot(double xa, double ya, double xb, double yb, double z,
    double sr, double tr, double step, const char *id);
struct path *circle(double cx, double cy, double cz, double cr, double tr,
    double step, const char *id);

#endif /* !SHAPE_H */
