/*
 * extrude.h - Perform the extrusion
 *
 * Written 2011 by Werner Almesberger
 * Copyright 2011 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef EXTRUDE_H
#define	EXTRUDE_H

struct point {
	double x, y, z;
};


void extrude(const struct path *path, const struct path *shape,
    double r, double d,
    void (*face)(void *data, struct point a, struct point b, struct point c),
    void *data);

#endif /* !EXTRUDE_H */
