/*
 * solid.h - Data structure and handling of a solid made of two opposing faces
 *
 * Written 2010 by Werner Almesberger
 * Copyright 2010 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef SOLID_H
#define SOLID_H

#include <stdio.h>


struct solid {
	struct face *a, *b;
	double dist;
};


void povray(const char *file_name, const char *name, const struct solid *s);

#endif /* !SOLID_H */
